Subject: scroll-preserve-screen-position broken with font height faces

From: Le Wang <[email-masked]>
Date: Mon, 10 Sep 2012 14:12:39 +0800

with "scroll-preserve-screen-position" set to t, pressing <C-v>, <M-v>
brings point back to the same buffer position.

However if I customize a face e.g. font-lock-keyword-face with height
of 1.3, then this no longer works.  Browsing any emacs-lisp source,
<C-v>, <M-v> changes line position.

For reference this package works just fine with variable height faces:
http://www.cs.utah.edu/~eeide/emacs/scroll-in-place.el.gz

I would like to not load extra packages if this functionality is
already in Emacs though.

-- 
Le